package jp.sourceforge.orangesignal.ta;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class MovingAverageTest {

	@Test
	public void values() {
		final MovingAverage[] values = MovingAverage.values();
		for (final MovingAverage value : values) {
			switch (value) {
				case SMA:
				case SMMA:
				case GMA:
				case RMA:
				case WWMA:
				case WMA:
				case HMA:
				case TMA:
				case EMA:
				case DEMA:
				case TEMA:
				case ZLEMA:
				case EPMA:
				case T3:
					assertTrue(true);
					break;
				default:
					assertTrue(false);
			}
		}
	}

}
